package ims;

import java.awt.*;
import java.awt.event.*; 
import java.util.*;



//IMS Annotation Class

public class imsAnnotation extends Any{
  
  public imsVCard vcard;
  public imsDateTime datetime;
  public imsLangString description;
  
  public imsAnnotation(imsVCard aVCard, imsDateTime aDateTime, imsLangString aDescription) {
    vcard = aVCard;
    datetime = aDateTime;    
    description = aDescription;
  }
  
  public String imsWrite2XMLString() {
    StringBuffer sb = new StringBuffer("<ANNOTATION>");
      
    sb.append("<PERSON>\n");
    sb.append(vcard.imsWrite2XMLString());
    sb.append("</PERSON>\n");
     
    sb.append("<DATE>\n");     
    sb.append(datetime.imsWrite2XMLString());
    sb.append("</DATE>\n");

    sb.append("<DESCRIPTION>\n");
    sb.append(description.imsWrite2XMLString());
    sb.append("</DESCRIPTION>\n");
      
    sb.append("</ANNOTATION>");
      
    return sb.toString();
  }
  
}
